<template>
  <PageLayout class="authenticationHome-page-wrapper">
    <template #navigationBar>
      <TransparentNavigationBar title="实名认证" :is-absolute="false"></TransparentNavigationBar>
    </template>
    <template #bg>
      <img :src="OssAssets.authentication.AuthenticationBg" class="authenticationHome-page-bg" />
    </template>
    <InnerPage />
  </PageLayout>
</template>

<script setup lang="ts">
import { PageLayout } from '@/components';
import { OssAssets } from '@12333/constants';
import InnerPage from './InnerPage.vue';

defineOptions({
  name: 'authenticationHome',
});
</script>

<style lang="scss">
@import '@/styles/common.scss';

.authenticationHome-page-bg {
  position: fixed;
  z-index: -1;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  object-fit: cover;
}
</style>
